<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDevDataFmtCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDevDataFmtCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar data format config  
 <a href="structrl_dev_data_fmt_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afa39f9a655062c6a548c6e37ffe47d8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa39f9a655062c6a548c6e37ffe47d8d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#afa39f9a655062c6a548c6e37ffe47d8d">rxChannelEn</a></td></tr>
<tr class="memdesc:afa39f9a655062c6a548c6e37ffe47d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">RX Channel Bitmap <br />
 b0 RX0 Channel Enable <br />
 0 Disable RX Channel 0 <br />
 1 Enable RX Channel 0 <br />
 b1 RX1 Channel Enable <br />
 0 Disable RX Channel 1 <br />
 1 Enable RX Channel 1 <br />
 b2 RX2 Channel Enable <br />
 0 Disable RX Channel 2 <br />
 1 Enable RX Channel 2 <br />
 b3 RX3 Channel Enable <br />
 0 Disable RX Channel 3 <br />
 1 Enable RX Channel 3 <br />
. <br /></td></tr>
<tr class="separator:afa39f9a655062c6a548c6e37ffe47d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8278665f4d429c1103e47763f2ffcbf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8278665f4d429c1103e47763f2ffcbf9"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#a8278665f4d429c1103e47763f2ffcbf9">adcBits</a></td></tr>
<tr class="memdesc:a8278665f4d429c1103e47763f2ffcbf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC out bits - 0(12 Bits), 1(14 Bits), 2(16 Bits) <br /></td></tr>
<tr class="separator:a8278665f4d429c1103e47763f2ffcbf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af7ef6d3aa2bc1c5fd21aec411b2461"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1af7ef6d3aa2bc1c5fd21aec411b2461"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#a1af7ef6d3aa2bc1c5fd21aec411b2461">adcFmt</a></td></tr>
<tr class="memdesc:a1af7ef6d3aa2bc1c5fd21aec411b2461"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC out format - 0(Real), 1(Complex), 2(Complex with Image band), 3(Pseudo Real) <br /></td></tr>
<tr class="separator:a1af7ef6d3aa2bc1c5fd21aec411b2461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a076c9d064f8d70f10c036fd0404f0396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a076c9d064f8d70f10c036fd0404f0396"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#a076c9d064f8d70f10c036fd0404f0396">iqSwapSel</a></td></tr>
<tr class="memdesc:a076c9d064f8d70f10c036fd0404f0396"><td class="mdescLeft">&#160;</td><td class="mdescRight">I/Q Swap selection for complex outputs <br />
 0 Sample interleave mode - I first <br />
 1 Sample interleave mode - Q first <br />
 others reserved <br />
. <br /></td></tr>
<tr class="separator:a076c9d064f8d70f10c036fd0404f0396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8efd25c2d7e37c57969e0741807ea71a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8efd25c2d7e37c57969e0741807ea71a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#a8efd25c2d7e37c57969e0741807ea71a">chInterleave</a></td></tr>
<tr class="memdesc:a8efd25c2d7e37c57969e0741807ea71a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel interleaving of the samples stored in <br />
 the ADC buffer to be transferred out on the data path <br />
 0 - Interleaved <br />
 1 - Non Interleaved <br />
 others reserved <br />
. <br /></td></tr>
<tr class="separator:a8efd25c2d7e37c57969e0741807ea71a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90e434baa623651cd17c391e5dab4512"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90e434baa623651cd17c391e5dab4512"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_fmt_cfg__t.html#a90e434baa623651cd17c391e5dab4512">reserved</a></td></tr>
<tr class="memdesc:a90e434baa623651cd17c391e5dab4512"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a90e434baa623651cd17c391e5dab4512"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar data format config </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
